/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: 8310_SUPSUP_INS_PZOPGTPRODFORN                                       */
/*                                                                            */
/* Descrio:                                                                 */
/* INCLUI PRAZOS PARA PRODFORN                                                */
/*                                                                            */
/* Criao:                                                                   */
/* 12/04/2000 - Yoris L. de Souza                                             */
/*                                                                            */
/*                                                                            */
/*                                                                            */
/******************************************************************************/


IF EXISTS (SELECT * FROM sysobjects O, sysusers U
          WHERE 
            o.name = 'INS_PZOPGT_PRODFORN'  and 
            type = 'P'                  and
            u.uid = o.uid               and
            u.name = USER)
  DROP PROCEDURE INS_PZOPGT_PRODFORN
  GO

CREATE PROCEDURE INS_PZOPGT_PRODFORN
                             @P_CDFORNECED   VARCHAR(21),
                             @P_CDPRODUTO    VARCHAR(10)
AS


BEGIN

 UPDATE PRODFORN
 SET
  PRODFORN.IDTPFORPGPRF = FORNECEDOR.IDTPFORPGTFO,
  PRODFORN.CDFORMPGTO = FORNECEDOR.CDFORMPGTO
 FROM
  FORNECEDOR
 WHERE
  FORNECEDOR.CDFORNECED = @P_CDFORNECED AND
  PRODFORN.CDFORNECED   = @P_CDFORNECED  AND
  PRODFORN.CDPRODUTO    = @P_CDPRODUTO;

  INSERT INTO PZOPGTPRFO
   (CDFORNECED,CDPRODUTO,NRDIASPGPRFO,VRPERCPGPRFO)
 (SELECT
   @P_CDFORNECED,
   @P_CDPRODUTO,
   PRAZOPGTFORN.NRDIASPGTOFO,
   PRAZOPGTFORN.VRPERCPGTOFO
  FROM
   PRAZOPGTFORN
  WHERE
   PRAZOPGTFORN.CDFORNECED = @P_CDFORNECED);

END;
GO
